Bug 895277 (CVE-2012-6109)

Summary: CVE-2012-6109 rubygem-rack: parsing Content-Disposition header DoS
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athomas, bkabrda, bkearney, bleanhar, cpelland, dajohnso, esammons, iboverma, jeckersb, jialiu, jrusnack, katello-bugs, katello-internal, lmeyer, mcressma, mfisher, mmccune, mmcgrath, mmorsi, morazi, mrg-program-list, msuchy, sclewis, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120504,reported=20130114,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/rubygem-rack=affected,epel-all/rubygem-rack=affected,mrg-2/rubygem-rack=affected,openshift-1/rubygem-rack=affected,openshift-enterprise-1/rubygem-rack=wontfix,cloudformscommon-1/rubygem-rack=wontfix,sam-1/rubygem-rack=affected,openshift-enterprise-1/rubygem193-rack=wontfix,cwe=CWE-835
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-24 11:25:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 771152, 895285, 895397, 895398, 895400, 895401, 995680, 1165360    
Bug Blocks: 892883, 895284, 906653    

Description Vincent Danen 2013-01-14 18:48:12 EST
Upstream released [1] Rack 1.4.2, 1.3.7, 1.2.6, and 1.1.4 to fix a denial of service condition when Rack parses content with a certain Content-Disposition header as noted in the original report [2].

This has been fixed in git [3].

Additionally, a second flaw that was fixed in 1.4.4, 1.3.9, 1.2.7, and 1.1.5 was also announced [4] that creates a minor denial of service condition, this time in the Rack::Auth::AbstractRequest, where it symbolized arbitrary strings (apparently this has something to do with authentication, but there is no further information provided other than the fix [5] itself, which is noted as "a breaking API change").

[1] http://rack.github.com/
[2] https://groups.google.com/forum/#!msg/rack-devel/1w4_fWEgTdI/XAkSNHjtdTsJ
[3] https://github.com/rack/rack/commit/4fc44671b3cad569421f4f8b775c0590b86f575e
[4] https://groups.google.com/forum/#!topic/rack-devel/ImYOqcGiksw/discussion
[5] https://github.com/rack/rack/commit/0c76175fcccad74ba2f991c487d3669c28a297c8
Comment 1 Vincent Danen 2013-01-14 19:22:06 EST
Created rubygem-rack tracking bugs for this issue

Affects: fedora-all [bug 895285]
Comment 2 Vincent Danen 2013-01-14 19:23:41 EST
Created rubygem-rack tracking bugs for this issue

Affects: epel-all [bug 771152]
Comment 3 Kurt Seifried 2013-01-15 02:30:41 EST
This bug now refers only to:

Upstream released [1] Rack 1.4.2, 1.3.7, 1.2.6, and 1.1.4 to fix a denial of service condition when Rack parses content with a certain Content-Disposition header as noted in the original report [2].

This has been fixed in git [3].

[1] http://rack.github.com/
[2] https://groups.google.com/forum/#!msg/rack-devel/1w4_fWEgTdI/XAkSNHjtdTsJ
[3] https://github.com/rack/rack/commit/4fc44671b3cad569421f4f8b775c0590b86f575e

The second flaw was split into bz 895384
Comment 8 John Eckersberg 2013-01-16 11:18:26 EST
This is the correct patch for rack-1.3: https://github.com/rack/rack/commit/c9f65df37a151821eb88ddd1dc404b83e52c52d5
Comment 9 Fedora Update System 2013-01-25 16:33:46 EST
rubygem-rack-1.3.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-25 16:37:25 EST
rubygem-rack-1.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-25 16:43:35 EST
rubygem-rack-1.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2013-02-21 14:05:26 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0548 https://rhn.redhat.com/errata/RHSA-2013-0548.html
Comment 13 errata-xmlrpc 2013-02-21 14:21:28 EST
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0544 https://rhn.redhat.com/errata/RHSA-2013-0544.html